## open-axiom 1.4.1%2Bsvn~2626

=== debian/changelog ===
open-axiom (1.4.1+svn~2626-2ubuntu2) quantal; urgency=low

  * Include the diff for the regenerated configure file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 19:37:39 +0200

open-axiom (1.4.1+svn~2626-2ubuntu1) quantal; urgency=low

  * Don't blindly use -m32/-m64. Closes: #687608.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Oct 2012 16:49:10 +0200

open-axiom (1.4.1+svn~2626-2) unstable; urgency=low

  * Added libgmp-dev build-dep for GCL

 -- Igor Pashev <pashev.igor@gmail.com>  Wed, 16 May 2012 15:22:53 +0400

open-axiom (1.4.1+svn~2626-1) unstable; urgency=low

  * New upstream version
  * Include directory 'contrib' in sources
  * Removed patch for system xpm.h (fixed in upstream)
  * Use SBCL where available (currently i386, amd64, kfreebsd-amd64)
    and GCL otherwheres (Closes: #648877)
  * Bump standards version 3.9.2 → 3.9.3, no changes
  * Rewrote debian/rules (too many overrides)
  * Removed Encoding key from desktop file

 -- Igor Pashev <pashev.igor@gmail.com>  Thu, 10 May 2012 16:23:17 +0400

open-axiom (1.4.1+svn~2299+ds-1) unstable; urgency=low

  * Initial release. Closes: #639185

 -- Igor Pashev <pashev.igor@gmail.com>  Sat, 03 Sep 2011 03:19:50 +0400
