## open-axiom 1.4.1+svn~2299+ds

=== debian/changelog ===
open-axiom (1.4.1+svn~2299+ds-1ubuntu1) precise; urgency=low

  * debian/control:
    - Only attempt to build open-axiom binaries on platforms that sbcl is
      available for.  Fixes FTBFS on armel and powerpc by not building there.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 15 Nov 2011 14:46:17 -0500
