=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = open-axiom
SVN_REPO = https://open-axiom.svn.sf.net/svnroot/open-axiom/trunk
SRC_VERSION  := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn~//' )
TARBALL       = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(SVN_REPO) \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP='--best --no-name' \
		 tar czf $(TARBALL) -C get-orig-source \
		 --exclude contrib \
		 --exclude src/include/xpm.h \
		 $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

debian/open-axiom.1:
	help2man --no-info \
		--version-string='$(SRC_VERSION)' \
		-m 'The open scientific computation platform' \
		-n 'open source platform for symbolic, algebraic, and numerical computations' \
		$(BUILD)/src/driver/open-axiom > $@

# make clean does not clean properly
# so building out of source
BUILD = $(CURDIR)/build-tree

LDFLAGS = -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -B $(BUILD) -- \
		--with-lisp=sbcl \
		--with-x \
		LDFLAGS="$(LDFLAGS)"

# Remove shebangs and "compiled from ..." lines.
# This makes lintian happy and prevents disclosure
# of paths on build machine. E. g.:
## !$(BUILD)/src/interp/interpsys --script
## FASL
#   compiled from "$(BUILD)/src/algebra/IDECOMP.NRLIB/code.lsp"
#   using SBCL version 1.0.50.0.debian
#
override_dh_auto_install:
	dh_auto_install
	find debian/tmp -type f -name \*.fasl -exec \
		sed -i '/^#!/ d; /compiled/ d' {} \;

override_dh_auto_clean:
	rm -rf $(BUILD)

override_dh_install:
	dh_install --list-missing

override_dh_installman: debian/open-axiom.1
	dh_installman

# AXIOMsys seems already stripped,
# and dh_strip breaks it
override_dh_strip:
	dh_strip -X AXIOMsys

override_dh_installdocs:
	dh_installdocs -p open-axiom-graphics --link-doc=open-axiom
	dh_installdocs -p open-axiom-test     --link-doc=open-axiom
	dh_installdocs -p open-axiom-hypertex --link-doc=open-axiom
	dh_installdocs --remaining-packages

clean build install binary binary-arch binary-indep:
	dh $@ --builddir=$(BUILD)
