## open-axiom 1.4.1+svn~2626

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: open-axiom
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Igor Pashev <pashev.igor@gmail.com>
+Maintainer: Igor Pashev <pashev.igor@gmail.com>
 Build-Depends:
  debhelper ( >= 8 ),
- sbcl ( >= 1.0.30 ),
+ sbcl ( >= 1:1.0.30 ) [ i386  amd64  kfreebsd-amd64],
+ gcl ( >= 2.6.7 )     [!i386 !amd64 !kfreebsd-amd64],
+ libreadline-dev      [!i386 !amd64 !kfreebsd-amd64],
+ libncurses5-dev      [!i386 !amd64 !kfreebsd-amd64],
+ libgmp-dev           [!i386 !amd64 !kfreebsd-amd64],
  libxpm-dev,
  libxt-dev,
  help2man,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
+Vcs-Git: http://git.debian.org/git/pkg-open-axiom/pkg-open-axiom.git
+Vcs-Browser: http://git.debian.org/?p=pkg-open-axiom/pkg-open-axiom.git
+Homepage: http://www.open-axiom.org/
 
 Package: open-axiom
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  open-axiom-databases (= ${source:Version}),
 Recommends: open-axiom-source, open-axiom-graphics, open-axiom-hypertex
@@ -95,7 +101,7 @@
  obtained with OpenAxiom.
 
 Package: open-axiom-graphics
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  open-axiom (= ${binary:Version}),
  open-axiom-graphics-data (= ${source:Version}),
@@ -116,7 +122,7 @@
 Package: open-axiom-graphics-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: open scientific computation platform: graphics subsystem
+Description: open scientific computation platform: graphics subsystem data
  OpenAxiom is an open source platform for symbolic, algebraic, and numerical
  computations. It offers an interactive environment, an expressive programming
  language, a compiler, a large set of mathematical libraries of interest to
@@ -130,7 +136,7 @@
  subsystem.
 
 Package: open-axiom-hypertex
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  open-axiom (= ${binary:Version}),
  open-axiom-hypertex-data (= ${source:Version}),
@@ -151,7 +157,7 @@
 Package: open-axiom-hypertex-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: open scientific computation platform: hypertex subsystem
+Description: open scientific computation platform: hypertex subsystem data
  OpenAxiom is an open source platform for symbolic, algebraic, and numerical
  computations. It offers an interactive environment, an expressive programming
  language, a compiler, a large set of mathematical libraries of interest to
