=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://sf.net/open-axiom/open-axiom-(.+).tar.bz2
