## open-axiom 1.5.0~svn3056+ds

=== debian/changelog ===
open-axiom (1.5.0~svn3056+ds-1) unstable; urgency=low

  * New upstream version.
  * Use xz compression for both source tarball and packages
  * Require g++ >= 4.7 for C++11
  * Refreshed patches
  * touch aclocal.m4 -r configure.ac to avoid rebuilding aclocal.m4 which
    requires aclocal 1.13
  * Do not patch configure.ac, but override variables in Makefiles (due to
    automake 1.13 too)
  * Require SBCL
  * Enable hardening (include /usr/share/dpkg/buildflags.mk for build flags)
  * Use dh-buildinfo
  * Override hardening-no-relro on usr/lib/open-axiom/bin/AXIOMsys
  * Build depends on autotools-dev to update config.*
  * Fixed get-orig-source target to work out of source tree
  * Use canonical VCS fields
  * Added keywords to d/open-axiom.desktop
  * Added description to non-static-open-axiom-binary.patch and
    no-missing-messages.patch
  * Updated d/copyright (thanks to Boris Pek)
  * Updated d/watch to use SourceForge SVN repository
  * Omit contrib directory (that's why +ds):
    - Unclear licenses (GPL, but which one?)
    - It is for Windows
  * Bump standards version 3.9.3 → 3.9.4, no changes

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 15 Dec 2013 12:11:38 +0400
