=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Igor Pashev <pashev.igor@gmail.com>
 Build-Depends:
  debhelper ( >= 8 ),
- sbcl ( >= 1:1.0.30 ) [ i386  amd64  kfreebsd-amd64],
- gcl ( >= 2.6.7 )     [!i386 !amd64 !kfreebsd-amd64],
- libreadline-dev      [!i386 !amd64 !kfreebsd-amd64],
- libncurses5-dev      [!i386 !amd64 !kfreebsd-amd64],
- libgmp-dev           [!i386 !amd64 !kfreebsd-amd64],
+ sbcl ( >= 1:1.0.30 ),
  libxpm-dev,
  libxt-dev,
+ g++ (>= 4.7),
  help2man,
-Standards-Version: 3.9.3
-Vcs-Git: http://git.debian.org/git/pkg-open-axiom/pkg-open-axiom.git
-Vcs-Browser: http://git.debian.org/?p=pkg-open-axiom/pkg-open-axiom.git
+ dh-buildinfo,
+ autotools-dev,
+Standards-Version: 3.9.4
+Vcs-Git: http://anonscm.debian.org/git/pkg-open-axiom/pkg-open-axiom.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-open-axiom/pkg-open-axiom.git
 Homepage: http://www.open-axiom.org/
 
 Package: open-axiom
